package com.huimv.production.autoGetData.config;

import com.huimv.production.autoGetData.service.IAutoGetErpData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.scheduling.annotation.SchedulingConfigurer;

import java.time.LocalDateTime;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
public class SaticScheduleTask  {
    @Autowired(required = false)
    private IAutoGetErpData iAutoGetErpData;

//    @Scheduled(cron = "* 0/5 * * * ?")
//    //或直接指定时间间隔，例如：5秒
//    //@Scheduled(fixedRate=5000)
//    private void configureTasks() {
//        System.err.println("执行静态定时任务时间: " + LocalDateTime.now());
//    }

    @Scheduled(cron = "0/1 * * * * ?")
    private void getPsyTask(){
        System.err.println("执行 getPsyTask 执行静态定时任务时间: " + LocalDateTime.now());
        iAutoGetErpData.getPsy();
    }

//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getReEstrusRate(){
//        System.err.println("执行 getReEstrusRate 执行静态定时任务时间: " + LocalDateTime.now());
//    }
//
//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getParturitionRate(){
//        System.err.println("执行 getParturitionRate 执行静态定时任务时间: " + LocalDateTime.now());
//    }
//
//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getStorage(){
//        System.err.println("执行 getStorage 执行静态定时任务时间: " + LocalDateTime.now());
//    }
//
//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getPigletInfo(){
//        System.err.println("执行 getPigletInfo 执行静态定时任务时间: " + LocalDateTime.now());
//    }
//
//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getMateQuantity(){
//        System.err.println("执行 getMateQuantity 执行静态定时任务时间: " + LocalDateTime.now());
//    }
//
//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getConceptionRate(){
//        System.err.println("执行 getConceptionRate 执行静态定时任务时间: " + LocalDateTime.now());
//    }
//
//    @Scheduled(cron = "* 0/30 * * * ?")
//    private void getAllStorage(){
//        System.err.println("执行 getAllStorage 执行静态定时任务时间: " + LocalDateTime.now());
//    }

}
